Wrong update prompt after wily to xenial upgrade

Bug #1550927 reported by Daniel Kessel on 2016-02-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
High
Brian Murray

Bug Description

After upgrading from wily to xenial, the update prompt in /etc/update-manager/release-upgrade is set to:

Prompt=normal

According to testcase 1310 on the ISO tracker, it should be Prompt=lts after a normal to LTS upgrade.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: ubuntu-release-upgrader-core 1:16.04.7
ProcVersionSignature: Ubuntu 4.4.0-8.23-generic 4.4.2
Uname: Linux 4.4.0-8-generic x86_64
ApportVersion: 2.20-0ubuntu3
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: XFCE
Date: Sun Feb 28 14:38:12 2016
EcryptfsInUse: Yes
InstallationDate: Installed on 2016-02-28 (0 days ago)
InstallationMedia: Xubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
Symptom: release-upgrade
UpgradeStatus: Upgraded to xenial on 2016-02-28 (0 days ago)
VarLogDistupgradeTermlog:

Related branches

Daniel Kessel (dkessel) wrote :
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1550927

tags: added: iso-testing
Changed in ubuntu-release-upgrader (Ubuntu):
importance: Undecided → High
status: New → Triaged
Changed in ubuntu-release-upgrader (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:16.04.8

---------------
ubuntu-release-upgrader (1:16.04.8) xenial; urgency=medium

  * data/release-upgrades:
    - set the default upgrade prompt to "lts" instead of "normal" so that
      LTS users will only see the automatic upgrade prompt when the next LTS
      version is ready. (LP: #1550927)
  * update demoted.cfg, demoted.cfg.trusty, mirrors.cfg
  * DistUpgrade/DistUpgradeAptCdrom.py: fix double open. (LP: #1551929)

 -- Brian Murray <email address hidden> Thu, 03 Mar 2016 11:36:41 -0800

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers